import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:nirrti/src/custom_components/custom_input/view_model.dart';

/// Used for testing only
void main() async {
  // Define a test. The TestWidgets function also provides a WidgetTester
  // to work with. The WidgetTester allows building and interacting
  // with widgets in the test environment.
  testWidgets('Testing widget...', (tester) async {
    // Create the widget by telling the tester to build it.
    await tester.pumpWidget(
      Material(
        child: Scaffold(
          body: Column(
            children: [
              OwlnextInput(
                controller: TextEditingController(),
                type: TextInputSubType.date,
                label: 'Test date input'
              ),
              OwlnextInput(
                controller: TextEditingController(),
                type: TextInputSubType.amount,
                label: 'Test amount input',
                amountMaxLimit: 69.420,
              ),
            ],
          ),
        ),
      )
    );

    expect(tester.takeException(), isAssertionError);
  });
}